import React, { useState } from 'react';
import styled from 'styled-components';

import {
  BlockDurationStatistics,
  MultiValueStat,
  Statistics,
} from '@components/statistics';
import {
  MultiStatisticItem,
  StatsBlock,
  StatisticItem,
  StatisticLabel,
  StatisticItemProps,
  StatisticItemSpacedContent,
  StatisticHeader,
  StatisticHeaderProps,
  TotalValue,
} from '@components/statistics';

const JSStatistics = styled(Statistics)`
  display: grid;
  grid-template-columns: repeat(4, 1fr);

  @media only screen and (max-width: 1600px) {
    grid-template-columns: repeat(2, 1fr);
  }

  @media only screen and (max-width: 1000px) {
    grid-template-columns: repeat(1, 1fr);
  }
`;

export default JSStatistics;
